Package org.eclipse.ecf.core.util

## Class IDFactoryTracker

- java.lang.Object
- - org.osgi.util.tracker.ServiceTracker
  - - org.eclipse.ecf.core.util.IDFactoryTracker

All Implemented Interfaces:
  `ServiceTrackerCustomizer`

    public class IDFactoryTracker
    extends ServiceTracker

Service tracker customized to handle tracking the ECF id factory service (singleton).

Since:
  3.1

### Field Summary

### Fields inherited from class org.osgi.util.tracker.ServiceTracker

`context, filter`

### Constructor Summary

Constructors
`IDFactoryTracker​(BundleContext context)`

### Method Summary

All Methods Instance Methods Concrete Methods
`IIDFactory` `getIDFactory()`

### Methods inherited from class org.osgi.util.tracker.ServiceTracker

`addingService, close, getService, getService, getServiceReference, getServiceReferences, getServices, getServices, getTracked, getTrackingCount, isEmpty, modifiedService, open, open, remove, removedService, size, waitForService`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IDFactoryTracker

    public IDFactoryTracker​(BundleContext context)

### Method Detail

#### getIDFactory

    public IIDFactory getIDFactory()